<p align="center">Stay tunned to <a href="https://chevereto.com/community/forums/announcements-and-news.3/">Chevereto Announcements and news</a>.</p>

<p align="center"><a href="https://chevereto.com/"><img src="https://chevereto.com/app/themes/v3/img/chevereto-blue.svg" alt="Chevereto"></a></p>

<p align="center">Chevereto is an image hosting script that allows you to create a beautiful and full-featured image hosting website on your own server. It's your hosting and your rules, so say goodbye to closures and restrictions.</p>

<p align="center"><a href="https://chevereto.com/"><img src="https://chevereto.com/app/themes/v3/img/devices.png" alt="" vspace="20"></a></p>

Chevereto Free
=
Chevereto is a web application that allows the creation of image hosting websites. The first public release was in early 2009 ([archive](https://code.google.com/archive/p/chevereto/)) and the current major version is V3. This repo here is Chevereto Free, which is a fork of Chevereto V3 in which only the most essential features are preserved and it is released as Open Source software.

Chevereto Free has the same look and feel of the [paid version](https://chevereto.com). Most likely it will fit all your personal needs. The features removed in this fork are those business-oriented like external storage servers or banner management to name a few.

Chevereto was created and still mainteined by just one person: [Rodolfo Berrios](https://github.com/rodolfoberrios).

### Building the next-gen Chevereto
Chevereto is being modernized by introducing new coding standards and turning towards a common Open Source base release which you will be able to add plugins and modifications. [Learn more](https://chevereto.com/community/threads/building-the-next-gen-chevereto.11140/).

### Chevereto Free vs Chevereto (paid)
The paid version includes all features, it gets frequent updates, and it is always up to six months ahead of the free edition. The table below shows the distinctions between both versions.

| Item                                         	| Free            	| Paid                   	|
|----------------------------------------------	|-----------------	|------------------------	|
| Updates										| Each 6 months		| Monthly        	      	|
| Features delay								| +6 months			| Zero	        	      	|
| One-click system update                       | Yes              	| Yes                    	|
| Upload plugin	                            	| Yes              	| Yes                    	|
| [Community Support](https://chevereto.com/community-support)                                 	| Yes 	            | Yes 						|
| External storage support                     	| No              	| Yes                    	|
| Manage banners                               	| No              	| Yes                    	|
| Likes + Followers                            	| No              	| Yes                    	|
| Facebook, Twitter, Google and VK signup      	| No              	| Yes                    	|

👉If you enjoy this software, consider [purchasing](https://chevereto.com/pricing) our paid edition 👏. By buying a license, you contribute to keep development ongoing.

## Minimum system requirements
Make sure your server meets the minimum system requirements which are:

 - Apache / NGiNX web server
 - PHP 5.5.0 (standard libraries)
 - MySQL 5.0 (ALL PRIVILEGES)

On most servers, that's all you need. The system has a built-in system check that will tell you right away when you need to fix something on your server.

## Installation
Chevereto can be installed in several different ways, it all depends on what suits you best.

### 🐳Install using Docker
Docker allows you to easily install and maintain all the server dependencies with ease by using automated application containers. The ready-to-use Docker images are under [nmtan/chevereto](https://hub.docker.com/r/nmtan/chevereto/) (many thanks to [Tan Nguyen](https://github.com/tanmng))

### ⚡Install using our Installer
The installer is a single `.php` file which will download and extract the latest release for you.
1. Download the [Chevereto Installer](https://chevereto.com/download/file/installer)
2. Upload this file to your target destination (usually the `public_html` folder)
3. Go to your website and follow the instructions

### ✨Install using Softaculous/Fantastico
If your web hosting includes [Softaculous](https://softaculous.com/)/[Fantastico](https://netenberg.com/fantastico.php), you can install Chevereto Free with just one click. Chevereto Free should be available for one-click install under the "Image Galleries" category.

### 📦Install via zip/tarball
 1. Download the [latest release](https://github.com/Chevereto/Chevereto-Free/releases/latest) of Chevereto Free
 2. Upload the contents of your download to your server (usually the `public_html` folder)
 3. Go to your website and follow the instructions

For additional installation instructions, refer to our [official documentation](https://chevereto.com/docs/install).

## Updates
Chevereto has a built-in system that checks for new updates every day via the [Chevereto API](https://chevereto.com/api/get/info/free). The system will notify you when an update is available, and it will guide you through the process.

## Upgrade to paid edition
To upgrade to our paid edition, simply navigate to your dashboard panel and click on the `upgrade` button.

## Support
Use our [Bug Tracking](https://chevereto.com/bug-tracking) to report bugs and our [Community Support](https://chevereto.com/community-support) forums for any support concern.

## License
Copyright [Rodolfo Berríos](http://rodolfoberrios.com) - Released under the AGPLv3 license.

## Warranty
This software doesn't include support. It may contain bugs. Use it at your own risk. This software is offered on an “as-is” basis. No warranty, either expressed or implied, is given.
